Bug 112150 - net-snmp-5.0.9-2.80.1 breaks dlmod
net-snmp-5.0.9-2.80.1 breaks dlmod
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: net-snmp (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-15 08:26 EST by Bernhard Erdmann
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-03 09:22:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernhard Erdmann 2003-12-15 08:26:03 EST
Description of problem:
Using net-snmp-5.0.9-2.80.1 (latest errata) breaks the dlmod
configuration option in /etc/snmp/snmpd.conf.

Version-Release number of selected component (if applicable):
5.0.9-2.80.1

How reproducible:
Always

Steps to Reproduce:
1. install net-snmp-5.0.9-2.80.1
2. install hpasm-6.40.0-16 (HP Proliant management software
3. use "dlmod cmaX /usr/lib/libcmaX.so" in /etc/snmp/snmpd.conf

Actual results:
# snmpd -f -L -Ddlmod
dlmod: Dynamic modules not support on this platform
/etc/snmp/snmpd.conf: line 9: Warning: Unknown token: dlmod.
NET-SNMP version 5.0.9

Expected results:
# snmpd -f -L -Ddlmod
dlmod: register mib
dlmod: dlmod_path: /usr/lib/snmp/dlmod
dlmod: dlmod_create_module
dlmod: dlmod_load_module cmaX: /usr/lib/libcmaX.so
NET-SNMP version 5.0.6


Additional info:
Comment 1 Phil Knirsch 2004-02-03 09:22:31 EST
I've just tested with the latest version of net-snmp on Fedora Core 1
and that one works nicely with dlmod. So i'd advise to use that
version instead.

Thanks,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.